Package Gnumed :: Package timelinelib :: Package calendar :: Package num :: Module time :: Class NumDelta |
[frames] | no frames]

# Class NumDelta

source code

                object --+
                         |
      time.ComparableValue --+
                             |
                object --+   |
                         |   |
    time.GenericDeltaMixin --+
                             |
                            NumDelta

Instance Methods
__repr__(self) repr(x) | source code
__sub__(self, other) | source code
__mul__(self, other) | source code
__div__(self, other) | source code
Inherited from `time.ComparableValue`: `__eq__`, `__ge__`, `__gt__`, `__init__`, `__le__`, `__lt__`, `__ne__` Inherited from `time.GenericDeltaMixin`: `__neg__`, `__rmul__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `time.ComparableValue`: `value` Inherited from `object`: `__class__`

Method Details

### __repr__(self) (Representation operator) | source code
repr(x) Overrides: object.__repr__ (inherited documentation)